%global __cmake_in_source_build 1

Name:           libfm-qt
Version:        1.3.0
Release:        %autorelease
Summary:        Companion library for PCManFM

# LGPL-2.1-or-later: main library
# BSD-3-Clause: cmake/fm-qt-config.cmake.in
License:        LGPL-2.1-or-later AND BSD-3-Clause
URL:            https://lxqt-project.org
VCS:            https://github.com/lxde/libfm-qt
Source0:        %{vcs}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  kf5-kwindowsystem-devel
BuildRequires:  lxqt-build-tools >= 0.12.0
BuildRequires:  gcc-c++
BuildRequires:  make
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gio-unix-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(libexif)
BuildRequires:  pkgconfig(libfm)
BuildRequires:  pkgconfig(libmenu-cache) >= 0.3.0
BuildRequires:  pkgconfig(lxqt) >= 1.2.0
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  qt5-qtbase-private-devel
%if 0%{?el7}
BuildRequires:  devtoolset-7-gcc-c++
%endif
Obsoletes:      libfm-qt-common <= 0.9.0
Obsoletes:      libfm-qt4 <= 0.9.0
Obsoletes:      libfm-qt5 <  0.11.0
Provides:       libfm-qt5 = %{version}

%description
Libfm-Qt is a companion library providing components to build
desktop file managers.

%package        devel
Summary:        Development files for libfm-qt
Requires:       libfm-qt%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release}
Requires:       pkgconfig(libmenu-cache) >= 0.3.0
Obsoletes:      libfm-qt-devel <= 0.9.0
Obsoletes:      libfm-qt4-devel <= 0.9.0
Obsoletes:      libfm-qt5-devel < 0.11.0
Provides:       libfm-qt5-devel = %{version}

%description    devel
libfm-qt-devel package contains libraries and header files for
developing applications that use libfm-qt.

%package        l10n
Summary:        Translations for libfm-qt
BuildArch:      noarch
Requires:       libfm-qt = %{?epoch:%{epoch}:}%{version}-%{release}

%description    l10n
This package provides translations for the libfm-qt package.

%prep
%autosetup -p1

%build
%if 0%{?el7}
scl enable devtoolset-7 - <<\EOF
%endif
mkdir -p %{_target_platform}
pushd %{_target_platform}
    %{cmake_lxqt} -DPULL_TRANSLATIONS=NO -S .. -B .
popd

%{make_build} -C %{_target_platform}

%if 0%{?el7}
EOF
%endif

%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

# We need fix this upstream
find %{buildroot} -size 0 -delete
%find_lang libfm-qt --with-qt

%files
%doc AUTHORS CHANGELOG README.md
%license LICENSE
%{_datadir}/libfm-qt
%{_libdir}/libfm-qt.so.13
%{_libdir}/libfm-qt.so.13.0.0

%files devel
%{_datadir}/cmake/fm-qt
%{_datadir}/libfm-qt/archivers.list
%{_datadir}/libfm-qt/terminals.list
%{_datadir}/mime/packages/libfm-qt-mimetypes.xml
%{_includedir}/libfm-qt/
%{_libdir}/libfm-qt.so
%{_libdir}/pkgconfig/libfm-qt.pc

%files l10n -f libfm-qt.lang
%dir %{_datadir}/libfm-qt/translations

%changelog
%autochangelog
